To build the package you need to make the following actions:


aclocal && autoheader && autoconf && automake --add-missing (optional)
./configure [OPTIONS]
make
make install

Configure script is accepting the following keys:

--enable-Werror                enable build with gcc -Werror (default=off)

--disable-debug                disable asserts debug information (default=on)

--enable-libminimal            enable building minimal footprint library 
                               (default=off)

--enable-full-static           turns static build type to "fully static" 
                               binaries

--enable-part-static           turns static build type to "partially static" 
                               binaries

--enable-mkfs-static           enable mkfs to be built statically with selected 
                               static build type.

--enable-fsck-static           enable fsck to be built statically with selected
                               static build type.

--enable-cpfs-static           enable cpfs to be built statically with selected
                               static build type.

--enable-resizefs-static       enable resizefs to be built statically with 
                               selected static build type.

--enable-debugfs-static        enable debugfs to be built statically with 
                               selected static build type.

--enable-measurefs-static      enable measurefs to be built statically with 
                               selected static build type.

--disable-symlinks             disable symlinks support in minimal library 
                               (default=on)

--disable-special              disable special files support in minimal library 
                               (default=on)

--disable-large-keys           disable large keys in minimal library
                               (default=on)

--disable-short-keys           disable short keys in minimal library 
                               (default=on)

--disable-r5-hash              disable r5 hash plugin in minimal library 
                               (default=on)

--disable-fnv1-hash            disable fnv1 hash plugin in minimal library
                               (default=on)

--disable-rupasov-hash         disable rupasov hash plugin in minimal library
                               (default=on)

--disable-tea-hash             disable tea hash plugin in minimal library
                               (default=on)

--enable-deg-hash              disable degenerate hash plugin in minimal
                               library (default=off)

--with-uuid                    add support uuid generating and checking 
                               (default=auto)

--with-readline                add support fancy command line editing 
                               (default=auto)

--with-libaal=PATH             directory libaal was installed in

Reiser4 support in GNU GRUB.

reiser4progs package has ability to be built with so called "minimal footprint"
libreiser4 library, which purpose is to provide reiser4 read only support for 
enviromnents without libc, (that is without memory manager, string functions, 
etc.), like GNU GRUB works in.

In order to build such a library, apply --enable-libminimal key to ./configure
script in configuring time and type "make". This library is pretty small and 
does not contain balancing code, journal code, block allocator, etc. As GNU 
GRUB has strong limitation for its binary images (used for embeding just after
mbr and used for reading main GRUB core), we strongly recomend you do not build
in unused hash plugins and extra checks code into "minimal" library.

Most common configure command is the following:

./configure --enable-libminimal \
	    --disable-fnv1-hash \
            --disable-rupasov-hash \
	    --disable-tea-hash \
	    --disable-deg-hash \
	    --disable-short-keys \
            --disable-special \
	    --disable-dot_o_fibre \
	    --disable-ext_3_fibre \
	    --disable-lexic_fibre

This assumes that r5 hash, large keys and ext1 fibration plugins are used -- 
and they are not disabled here.

In the case configure script unable to find libaal, check the following:

(1) Make sure, that your system has installed libaal of the correct version 
(configure script says about expected version).

(2) Make sure, that you have one copy of libaal in the system.

(3) Make sure, that you have specified correct libaal directory using
--with-libaal option (if you have used it). Default location is $prefix/lib.

(4) Make sure, that /etc/ld.so.conf contains correct path to the directory 
libaal was installed in.

(5) Make sure, that dynamic linker cache is up to date. Running ldconfig will 
not be overkill here.

If you have checked all listed above, everything seems correct, and you're still
unable to build reiser4progs, send an email to reiserfs-list@namesys.com.

